complexType "SingleUnderlyer"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 6 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | underlyingAsset, openUnits?, dividendPayout?, couponPayment?, averageDailyTradingVolume?, depositoryReceipt?
</...>

Content Model Elements (6):

  averageDailyTradingVolume, couponPayment, depositoryReceipt, | dividendPayout, openUnits (in singleUnderlyer), underlyingAsset

All Direct / Indirect Based Elements (1):

  singleUnderlyer

Known Usage Locations

- As direct type of elements (1):
  singleUnderlyer

Annotation
A type describing a single underlyer
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="SingleUnderlyer"> <xsd:sequence> <xsd:element ref="underlyingAsset"/> <xsd:element minOccurs="0" name="openUnits" type="xsd:decimal"/> <xsd:element minOccurs="0" name="dividendPayout" type="DividendPayout"/> <xsd:element minOccurs="0" name="couponPayment" type="PendingPayment"/> <xsd:element minOccurs="0" name="averageDailyTradingVolume" type="AverageDailyTradingVolumeLimit"/> <xsd:element minOccurs="0" name="depositoryReceipt" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
averageDailyTradingVolume

  Type: | AverageDailyTradingVolumeLimit, complex content

  The average amount of individual securities traded in a day or over a specified amount of time.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="averageDailyTradingVolume" type="AverageDailyTradingVolumeLimit"/>

couponPayment

  Type: | PendingPayment, complex content

  The next upcoming coupon payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="couponPayment" type="PendingPayment"/>

depositoryReceipt

  Type: | xsd:boolean, predefined, simple content

  A Depository Receipt is a negotiable certificate issued by a trust company or security depository. This element is used to represent whether a Depository Receipt is applicable or not to the underlyer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="depositoryReceipt" type="xsd:boolean"/>

dividendPayout

  Type: | DividendPayout, complex content

  Specifies the dividend payout ratio associated with an equity underlyer. A basket swap can have different payout ratios across the various underlying constituents. In certain cases the actual ratio is not known on trade inception, and only general conditions are then specified. Users should note that FpML makes a distinction between the derivative contract and the underlyer of the contract. It would be better if the agreed dividend payout on a derivative contract was modelled at the level of the derivative contract, an approach which may be adopted in the next major version of FpML.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividendPayout" type="DividendPayout"/>

openUnits

  Type: | xsd:decimal, predefined, simple content

  The number of units (index or securities) that constitute the underlyer of the swap. In the case of a basket swap, this element is used to reference both the number of basket units, and the number of each asset components of the basket when these are expressed in absolute terms.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="openUnits" type="xsd:decimal"/>

underlyingAsset

  Type: | Asset, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 13 elements

  XML Source (see within schema source)

  <xsd:element ref="underlyingAsset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.